@extends('layouts.app')
@section('title', trans('front.summary') . ' ' . $employee->name)
@section('content')
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            @lang('front.summary')
            <small>
                {{ $employee->name }}
            </small>
            <a class="btn print-window pull-right" href="javascript:void(0)" onclick="window.print()" role="button">
                <i class="fa fa-print" aria-hidden="true"></i>
            </a>
        </h1>
    </section>
    <!-- Main content -->
    <section class="content">
        @include('layouts.partial.filter')
        @include('layouts.partial.printHeader', ['showCompanyData' => true])
        <div class="row">
            <div class="col-xs-12">
                <div class="box">
                    <div class="box-header">
                        <h3 class="box-title">ملخص الموظف</h3>
                    </div>
                    <div class="box-body">
                        <table class="table table-borderd">
                            <tr>
                                <td>عدد الخدمات</td>
                                <td>إجمالي الخدمات</td>
                            </tr>
                            <tr>
                                <td>{{$employee->services->count()}}</td>
                                <td>{{$employee->services->sum('price')}}</td>
                            </tr>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        @if ($employee->services)
            <div class="row">
                <div class="col-xs-12">
                    <div class="box">
                        <div class="box-header">
                            <h3 class="box-title">خدمات الموظف</h3>
                        </div>
                        <div class="box-body">
                            <table class="table table-borderd">
                                <thead>
                                <tr>
                                    <th>#</th>
                                    <th>التاريخ</th>
                                    <th>الخدمة</th>
                                    <th>سعر الخدمة</th>
                                </tr>
                                </thead>
                                <tbody>
                                @foreach($employee->services as $item)
                                    <tr>
                                        <td>{{$loop->iteration}}</td>
                                        <td>{{date('Y-m-d h:i A', strtotime($item->serive_datetime))}}</td>
                                        <td>{{ optional($item->product)->name }}</td>
                                        <td>{{$item->price}}</td>
                                    </tr>
                                @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        @endif
        @if (count($expenses))
            <div class="row">
                <div class="col-xs-12">
                    <div class="box">
                        <div class="box-header">
                            <h3 class="box-title">@lang('front.expenses')</h3>
                        </div>
                        <div class="box-body">
                            @include('employees.empTrans', [
                                'title' => trans('front.expenses'),
                                'list' => $expenses,
                            ])
                        </div>
                    </div>
                </div>
            </div>
        @endif
        @if (count($rewards))
            <div class="row">
                <div class="col-xs-12">
                    <div class="box">
                        <div class="box-header">
                            <h3 class="box-title">@lang('front.Rewards and punishments')</h3>
                        </div>
                        <!-- /.box-header -->
                        <div class="box-body">
                            <div class="col-md-6">
                                @include('employees.empTrans', [
                                    'title' => trans('front.punishments'),
                                    'list' => $punishments,
                                ])
                            </div>
                            <div class="col-md-6">
                                @include('employees.empTrans', [
                                    'title' => trans('front.rewards'),
                                    'list' => $rewards,
                                ])
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        @endif
    </section>

@stop
